Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZAuthor Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $id)
| get ( $id=-1)
| getByName ( $name)
& | getAll ()
| id ()
| name ( $html=true)
| email ()
| setName ( $value)
| setEmail ( $value)

## Public Attributes
| $ID
| $Name
| $EMail

## Detailed Description

! eZUser eZAuthor handles authors/photographers.

See also
  eZUser eZUserGroup eZPermission eZModule eZForgot

Definition at line 39 of file ezauthor.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZAuthor::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZAuthor object.

Definition at line 44 of file ezauthor.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZAuthor::delete | ( |  | $id | ) |

Deletes a eZAuthor object from the database.

Definition at line 106 of file ezauthor.php.

References $db, $id, and eZDB\globalDatabase().

## ◆ email()

eZAuthor::email | ( |  | ) |

Returns the authors e-mail address.

Definition at line 214 of file ezauthor.php.

References $EMail.

## ◆ get()

eZAuthor::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 127 of file ezauthor.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZAuthor::getAll | ( |  | ) |

Fetches the user id from the database. And returns a array of eZAuthor objects.

Definition at line 175 of file ezauthor.php.

References $author, $db, and eZDB\globalDatabase().

## ◆ getByName()

eZAuthor::getByName | ( |  | $name | ) |

Fetches the authour with the given name.

True is retuned if successful, false (0) if not.

Definition at line 156 of file ezauthor.php.

References $db, $ret, eZDB\globalDatabase(), and Name.

## ◆ id()

eZAuthor::id | ( |  | ) |

Returns the object id.

Definition at line 196 of file ezauthor.php.

References $ID.

## ◆ name()

eZAuthor::name | ( |  | $html = `true` | ) |

Returns the name.

Definition at line 204 of file ezauthor.php.

References $Name, eZTextTool\fixhtmlentities(), and Name.

## ◆ setEmail()

eZAuthor::setEmail | ( |  | $value | ) |

Sets the email address to the user.

Definition at line 230 of file ezauthor.php.

## ◆ setName()

eZAuthor::setName | ( |  | $value | ) |

Sets the name.

Definition at line 222 of file ezauthor.php.

References Name.

## ◆ store()

eZAuthor::store | ( |  | ) |

Stores or updates a eZAuthor object in the database.

Definition at line 56 of file ezauthor.php.

References $db, $name, $res, $ret, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $EMail

eZAuthor::$EMail

Definition at line 237 of file ezauthor.php.

Referenced by email().

## ◆ $ID

eZAuthor::$ID

Definition at line 235 of file ezauthor.php.

Referenced by __construct(), and id().

## ◆ $Name

eZAuthor::$Name

Definition at line 236 of file ezauthor.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezauthor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.